Get wallets by customer

Retrieve a customer’s wallets and IBANs to use in financial operations.

Endpoint

GET /api/v2.1/wallets/customer/{customerId}

Sample cURL

bash
curl --request GET \
  --url 'https://sandbox.finhub.cloud/api/v2.1/wallets/customer/{customerId}?customerType=B2C' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'X-Tenant-Id: <TENANT_ID>' \
  --header 'Accept: application/json' \
  --header 'X-Forwarded-From: <FORWARDED_FROM>' \
  --header 'deviceId: <DEVICE_ID>'
bash
curl --request GET \
  --url 'https://sandbox.finhub.cloud/api/v2.1/wallets/customer/{customerId}?customerType=B2B' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'X-Tenant-Id: <TENANT_ID>' \
  --header 'Accept: application/json' \
  --header 'X-Forwarded-From: <FORWARDED_FROM>' \
  --header 'deviceId: <DEVICE_ID>'

Response Example

json
{
  "code": 200,
  "data": [
    {
      "id": "558ad9af-0482-471f-9385-5a943b80f6d2",
      "walletId": "558ad9af-0482-471f-9385-5a943b80f6d2",
      "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
      "name": "B2C Product General Purpose Wallet",
      "walletType": "b2c_product_general_purpose_wallet",
      "status": "ACTIVE",
      "currency": "EUR",
      "balance": "0.00",
      "availableBalance": "0.00",
      "iban": "LT213320011000055860"
    },
    {
      "id": "f9f66497-ef59-446b-9b32-34391b27c928",
      "walletId": "f9f66497-ef59-446b-9b32-34391b27c928",
      "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
      "name": "B2C Master General Purpose Wallet",
      "walletType": "b2c_master_general_purpose_wallet",
      "status": "ACTIVE",
      "currency": "EUR",
      "balance": "0.00",
      "availableBalance": "0.00"
    }
  ],
  "message": "Success"
}

Missing Headers Error Example

json
{
  "code": 500,
  "data": {
    "deviceId_accepted": [
      "deviceId",
      "X-Device-Id",
      "device-id"
    ],
    "missingHeaders": [
      "X-Forwarded-From",
      "deviceId"
    ]
  },
  "message": "Missing required header(s)"
}

Type to search…

↑↓ navigate open esc close